Subject: [PATCH] serial: samsung: fix device name

From: [email-masked] (Darius Augulis)
Date: Fri, 06 Aug 2010 09:13:36 +0300

On 08/06/2010 03:04 AM, Kyungmin Park wrote:
> Hi,
>
> It's already posted by Mr. Shim
> http://marc.info/?l=linux-arm-kernel&m=127410047306149&w=2
>
> As discussed with Ben. even though it's right patch, there's some
> users to use previous interface.
> I also think it will be fixed. but need to coordinate with existing users.
>

IMHO, it must be fixed. It's very annoying bug and I spend few hours 
trying to understand why kernel with devtmpfs auto-mount option doesn't 
provide ttySAC0, because when grep'ing 'grep -R ttySAC0 drivers/serial/*
it's found in samsung driver and I thought everything should be o.k. Who 
could imagine that it's driver name, not device?...
Regarding old users, they should not use such strange device name in 
their configs, they have to sync with main line.

> Ben, how to you think?
>
> On Fri, Aug 6, 2010 at 5:10 AM, Darius Augulis<[email-masked]>  wrote:
>> Swap device and driver names in serial/samsung.c
>>
>> Signed-off-by: Darius Augulis<[email-masked]>
>> ---
>>   drivers/serial/samsung.c |    4 ++--
>>   1 files changed, 2 insertions(+), 2 deletions(-)
>>
>> diff --git a/drivers/serial/samsung.c b/drivers/serial/samsung.c
>> index a9d6c56..9d63f24 100644
>> --- a/drivers/serial/samsung.c
>> +++ b/drivers/serial/samsung.c
>> @@ -878,10 +878,10 @@ static struct uart_ops s3c24xx_serial_ops = {
>>
>>   static struct uart_driver s3c24xx_uart_drv = {
>>         .owner          = THIS_MODULE,
>> -       .dev_name       = "s3c2410_serial",
>> +       .driver_name    = "s3c2410_serial",
>>         .nr             = CONFIG_SERIAL_SAMSUNG_UARTS,
>>         .cons           = S3C24XX_SERIAL_CONSOLE,
>> -       .driver_name    = S3C24XX_SERIAL_NAME,
>> +       .dev_name       = S3C24XX_SERIAL_NAME,
>>         .major          = S3C24XX_SERIAL_MAJOR,
>>         .minor          = S3C24XX_SERIAL_MINOR,
>>   };
>>
>>
>> _______________________________________________
>> linux-arm-kernel mailing list
>> linux-arm-kernel at lists.infradead.org
>> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>>
> --
> To unsubscribe from this list: send the line "unsubscribe linux-serial" in
> the body of a message to majordomo at vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>